Summary:	X.org video driver for TGA (DEC 21030) video chips
Summary(pl.UTF-8):	Sterownik obrazu X.org dla układów graficznych TGA (DEC 21030)
Name:		xorg-driver-video-tga
Version:	1.2.2
Release:	11
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-video-tga-%{version}.tar.bz2
# Source0-md5:	f77d66e86ed0485b204b17e734aa47df
Patch0:		build.patch
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.389
BuildRequires:	xorg-lib-libpciaccess-devel >= 0.8.0
BuildRequires:	xorg-proto-fontsproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-proto-renderproto-devel
BuildRequires:	xorg-proto-videoproto-devel
BuildRequires:	xorg-proto-xextproto-devel >= 7.0.99.1
BuildRequires:	xorg-proto-xf86dgaproto-devel >= 2.1
BuildRequires:	xorg-util-util-macros >= 1.3
BuildRequires:	xorg-xserver-server-devel >= 1.0.99.901
%{?requires_xorg_xserver_videodrv}
Requires:	xorg-xserver-server >= 1.0.99.901
Provides:	xorg-driver-video
Obsoletes:	X11-driver-tga < 1:7.0.0
Obsoletes:	XFree86-TGA
Obsoletes:	XFree86-driver-tga < 1:7.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org video driver for TGA (DEC 21030) video chips.

%description -l pl.UTF-8
Sterownik obrazu X.org dla układów graficznych TGA (DEC 21030).

%prep
%setup -q -n xf86-video-tga-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/tga_drv.so
#%{_mandir}/man4/tga.4*
%changelog
* Wed Jul 04 2018 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/xorg-driver-video-tga.git;a=log;h=master

* Mon May 14 2018 Jan Rękorajski <baggins@pld-linux.org> 6a929f7
- release 11 (by relup.sh)

* Sun Nov 20 2016 Jan Rękorajski <baggins@pld-linux.org> bb66c0d
- release 10 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> ec8930f
- release 9 (by relup.sh)

* Thu Feb 05 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 3d5a773
- due to xserver 1.17
- release 8 (by relup.sh)

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> a5c2637
- xserver rebuild
- release 7 (by relup.sh)

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 2d4e460
- xserver rebuild
- release 6 (by relup.sh)

* Fri Jan 03 2014 Jan Rękorajski <baggins@pld-linux.org> 9fc629e
- release 5 (by relup.sh)

* Tue Mar 12 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> c0e240c
- rel 4; fix build with xserver 1.14

* Mon Mar 11 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> ecf0119
- release 3 (by relup.sh)

* Thu Sep 06 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 14ad83f
- release 2 (by relup.sh)

* Fri Jul 27 2012 Jakub Bogusz <qboosh@pld-linux.org> 320a574
- updated to 1.2.2

* Mon Mar 05 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 0b7d99c
- release 9

* Sat Aug 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 6740910
- release 8

* Thu Aug 25 2011 Elan Ruusamäe <glen@pld-linux.org> 8ba03b9
- xorg-driver-video virtual for video drivers
- release 7

* Sun Feb 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 34a4758
- release 6

* Wed Nov 10 2010 shadzik <shadzik@pld-linux.org> 1baedf1
- rel up

* Mon Aug 30 2010 Jakub Bogusz <qboosh@pld-linux.org> d8985ab
- updated deps

* Sat Aug 21 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> b356381
- release 4

* Fri Apr 02 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 9f9aa03
- release 3

* Fri Oct 02 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> bbcd803
- release 2

